<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Phoenix Song: Echo (2021)</Series>
  <Number>1</Number>
  <Web>https://www.comixology.com/Phoenix-Song-Echo-2021-1-of-5/digital-comic/956657</Web>
  <Summary>STRAIGHT OUT OF HER TRANSFORMATION IN AVENGERS, ECHO GETS AN EXHILARATING SOLO SERIES FROM BESTSELLER REBECCA ROANHORSE! Against all odds, one of the most powerful entities in the Marvel Universe chose Maya Lopez, a deaf street fighter, as its new avatar. And the burning question on everyone’s minds is: WHY?! But Echo is the last person to answer. Still learning her new cosmic abilities — and struggling with the Phoenix’s overwhelming personality — Echo strikes out to return to her roots. But the reservation has even fewer answers. And where power goes, evil follows. Someone wants Echo to fail — and unleash a power only the greatest heroes in history have been able to control. Avengers artist Luca Maresca joins superstar writer Rebecca Roanhorse for a story that will light the universe on fire!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB956657], [ASINB099P3S4FC], [RELDATE:2021-10-20]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Action/Adventure, Superhero</Genre>
  <PageCount>33</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
